Search Apps
curl --request GET \
--url https://api.example.com/v1/apps/search \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.example.com/v1/apps/search"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.example.com/v1/apps/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"description": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Apps
Search Apps
Search for Apps. Intented to be used by agents to search for apps based on natural language intent.
GET
/
v1
/
apps
/
search
Search Apps
Authorizations
API key for authentication
Query Parameters
Natural language intent for vector similarity sorting. Results will be sorted by relevance to the intent.
If true, only return apps that have been configured.
List of categories for filtering.
Maximum number of Apps per response.
Required range:
1 <= x <= 1000Pagination offset.
Required range:
x >= 0